# Class DataManager

java.lang.Object
org.jmol.viewer.DataManager

All Implemented Interfaces:
  `JmolDataManager`

public class DataManager extends Object implements JmolDataManager

## Field Summary

### Fields inherited from interface JmolDataManager

`DATA_ATOM_PROP_ENTRY, DATA_LABEL, DATA_SAVE_IN_STATE, DATA_SELECTION, DATA_TYPE, DATA_TYPE_AF, DATA_TYPE_AFF, DATA_TYPE_AFFF, DATA_TYPE_LAST, DATA_TYPE_STRING, DATA_TYPE_UNKNOWN, DATA_VALUE`

## Constructor Summary

Constructors
Constructor
Description
`DataManager()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`Object[]`
`createFileData(String strModel)`
`void`
`deleteModelAtoms(int firstAtomIndex, int nAtoms, BS bsDeleted)`
`Object`
`getData(String label, BS bsSelected, int dataType)`
`boolean`
`getDataState(JmolStateCreator sc, SB sb)`
`String`
`getDefaultVdwNameOrData(VDW type, BS bs)`
`JmolDataManager`
`set(Viewer vwr)`
`void`
`setData(String type, Object[] data, int arrayCount, int actualAtomCount, int matchField, int matchFieldColumnCount, int field, int fieldColumnCount)`
This method needs to be redone using a class instead of Object[]

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataManager

public DataManager()

## Method Details

### set

public JmolDataManager set(Viewer vwr)

Specified by:
  `set` in interface `JmolDataManager`

### clear

public void clear()

Specified by:
  `clear` in interface `JmolDataManager`

### setData

public void setData(String type, Object[] data, int arrayCount, int actualAtomCount, int matchField, int matchFieldColumnCount, int field, int fieldColumnCount)
This method needs to be redone using a class instead of Object[]

Specified by:
  `setData` in interface `JmolDataManager`

### getData

public Object getData(String label, BS bsSelected, int dataType)

Specified by:
  `getData` in interface `JmolDataManager`

### deleteModelAtoms

public void deleteModelAtoms(int firstAtomIndex, int nAtoms, BS bsDeleted)

Specified by:
  `deleteModelAtoms` in interface `JmolDataManager`

### getDefaultVdwNameOrData

public String getDefaultVdwNameOrData(VDW type, BS bs)

Specified by:
  `getDefaultVdwNameOrData` in interface `JmolDataManager`

### getDataState

public boolean getDataState(JmolStateCreator sc, SB sb)

Specified by:
  `getDataState` in interface `JmolDataManager`

### createFileData

public Object[] createFileData(String strModel)

Specified by:
  `createFileData` in interface `JmolDataManager`